summarylogtreecommitdiffstats
path: root/nltrigger.early
diff options
context:
space:
mode:
Diffstat (limited to 'nltrigger.early')
-rw-r--r--nltrigger.early20
1 files changed, 20 insertions, 0 deletions
diff --git a/nltrigger.early b/nltrigger.early
new file mode 100644
index 000000000000..ae018138c13c
--- /dev/null
+++ b/nltrigger.early
@@ -0,0 +1,20 @@
+#!/bin/bash
+
+# sourcing our current rc.conf requires this to be a bash script
+. /usr/lib/rc/functions
+
+case "$1" in
+ start)
+ stat_busy "Triggering udev uevents"
+ nltrigger add all
+ ret=$?
+ (( ret )) && stat_die nltrigger
+ add_daemon nltrigger
+ stat_done nltrigger
+ ;;
+ *)
+ echo "usage: $0 {start}"
+ exit 1
+ ;;
+esac
+